local WeaponFile = import('/lua/sim/defaultweapons.lua') ---
local DefaultProjectileWeapon = WeaponFile.DefaultProjectileWeapon
local EffectTemplate = import('/lua/EffectTemplates.lua')

###Aeon Anti-spaceship weapon###
ADFCannonOblivion01Weapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = EffectTemplate.AOblivionCannonMuzzleFlash02,
    FxChargeMuzzleFlash = EffectTemplate.AOblivionCannonChargeMuzzleFlash02,

}

###Seraphim Anti-spaceship weapon###
SDFHeavyQuarnon01Cannon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = EffectTemplate.SHeavyQuarnonCannonMuzzleFlash,
    FxChargeMuzzleFlash = EffectTemplate.SDFExperimentalPhasonProjChargeMuzzleFlash,
    ChargeEffectMuzzles = {},
	FxChargeMuzzleFlashScale = 3,
	ChargeEffectMuzzlesScale = 3,
}

###Cybran Anti-spaceship weapon###
CDFHeavyElectronBolter01Weapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = EffectTemplate.CElectronBolterMuzzleFlash02,
}

###UEF Anti-spaceship weapon###
TIFArtillery01Weapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = EffectTemplate.TPlasmaCannonHeavyMuzzleFlash,
}